## python-signxml 4.0.2+dfsg

=== debian/changelog ===
python-signxml (4.0.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #1082948)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 29 Sep 2024 04:26:29 +0800

## python-signxml 4.0.3%2Bdfsg

=== Makefile ===
SHELL=/bin/bash

lint:
	ruff check $$(dirname */__init__.py)
	mypy --install-types --non-interactive --check-untyped-defs $$(dirname */__init__.py)

test:
	python ./test/test.py -v

init_docs:
	cd docs; sphinx-quickstart

docs:
	python -m pip install furo sphinx-copybutton sphinxext-opengraph
	sphinx-build docs docs/html

install:
	-rm -rf dist
	python -m pip install build
	python -m build
	python -m pip install --upgrade $$(echo dist/*.whl)[tests]

.PHONY: test lint release docs

include common.mk

## python-signxml 4.0.3+dfsg

=== debian/changelog ===
python-signxml (4.0.3+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 26 Jan 2025 06:02:41 +0800

=== debian/control ===
Source: python-signxml
Section: python
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               furo,
               python3-all,
               python3-certifi,
               python3-coverage,
               python3-cryptography,
               python3-lxml,
               python3-mypy,
               python3-setuptools,
               python3-sphinx-copybutton,
               python3-sphinxext-opengraph
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/XML-Security/signxml

Package: python3-signxml
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-signxml-doc
Description: Python library for the W3C XSML signature standard (Python 3)
 SignXML is an implementation of the W3C XML Signature standard in Python.
 This standard (also known as "XMLDSig") is used to provide payload secuty
 in SAML 2.0, XAdES, and WS-Security, among other uses. The standard is
 defined in the W3C Recommendation XML Signature Syntax and Processing Version
 1.1. SignXML implements all of the required components of the Version 1.1
 standard, and most recommended ones.
 .
 This package installs the library for Python 3.

Package: python-signxml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for the W3C XSML signature standard (common documentation)
 SignXML is an implementation of the W3C XML Signature standard in Python.
 This standard (also known as "XMLDSig") is used to provide payload secuty
 in SAML 2.0, XAdES, and WS-Security, among other uses. The standard is
 defined in the W3C Recommendation XML Signature Syntax and Processing Version
 1.1. SignXML implements all of the required components of the Version 1.1
 standard, and most recommended ones.
 .
 This is the common documentation package.

## python-signxml 4.0.5%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	-rm -rf dist
 	python -m pip install build
 	python -m build
-	python -m pip install --upgrade $$(echo dist/*.whl)[tests]
+	python -m pip install --upgrade $$(echo dist/*.whl)[test]
 
 .PHONY: test lint release docs

## python-signxml 4.0.5+dfsg

=== debian/changelog ===
python-signxml (4.0.5+dfsg-2) unstable; urgency=low

  * Add autopkgtest based on README examples.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 13 Jun 2025 04:37:42 +0800

python-signxml (4.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - The upstream fixes CVE-2025-48994 and CVE-2025-48995 (Closes: #1107195)
  * debian/control: Add pybuild-plugin-pyproject to Build-Depends to fix PEP517 plugin
    dependencies are not available. Please Build-Depend on pybuild-plugin-pyproject.
    - Also add pybuild-plugin-pyproject, python3-hatch-vcs and python3-hatchling.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 12 Jun 2025 05:12:58 +0800

## python-signxml 4.1.0+dfsg

=== debian/changelog ===
python-signxml (4.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 13 Aug 2025 04:42:56 +0100

## python-signxml 4.2.0%2Bdfsg

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, repacksuffix=+dfsg, dversionmangle=auto" \
    https://github.com/XML-Security/signxml/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-signxml 4.2.0+dfsg

=== debian/changelog ===
python-signxml (4.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 29 Aug 2025 00:42:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,13 @@
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                furo,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-certifi,
                python3-coverage,
                python3-cryptography,
+               python3-hatch-vcs,
+               python3-hatchling,
                python3-lxml,
                python3-mypy,
                python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=signxml

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

override_dh_auto_build:
	cp -f $(CURDIR)/debian/for-test/rfc3161.txt $(CURDIR)/test/rfc3161.txt
	cp -r $(CURDIR)/debian/staimg $(CURDIR)
	dh_auto_build

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/staimg

=== debian/tests/control ===
Tests: example1
Depends: @, openssl
Restrictions: allow-stderr
